{% extends 'base.html.twig' %}

{% block stylesheets %}
    <link rel="stylesheet" href="{{ asset('css/login-page-discord.css') }}">
{% endblock %}

{% block javascripts %}
    {% if countOfRecentLoginFail >= 3 %}
        <script async defer src="https://hcaptcha.com/1/api.js?hl={{ app.request.locale }}"></script>
        {% include '_partials/captcha/_hcaptcha_callback_script.twig.html' %}
    {% endif %}
{% endblock %}

{% block title %}Authentification{% endblock %}

{% block body %}
    <h1 class="h3 mb-3 font-weight-normal text-center">Me connecter</h1>

    {% include '_partials/_flashbag.html.twig' %}

    <main class="container text-center mt-5">
        <form method="POST">

            {% if error %}
                <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
            {% endif %}

            {% if app.user %}
                <div class="mb-3">
                    Vous êtes connecté en tant que {{ app.user.username }}, <a href="{{ path('app_logout') }}">Déconnexion</a>
                </div>
            {% endif %}


            <section class="row">
                <fieldset class="my-3 col-md-6">
                    <label for="inputEmail">Email</label>
                    <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control"
                           required autofocus>
                </fieldset>
                <fieldset class="my-3 col-md-6">
                    <label for="inputPassword">Mot de passe</label>
                    <input type="password" name="password" id="inputPassword" class="form-control" required>
                </fieldset>
            </section>


            <input type="hidden" name="_csrf_token"
                   value="{{ csrf_token('oc_authenticate') }}"
            >

            <fieldset class="custom-control custom-switch mb-3">
                <input type="checkbox" class="custom-control-input" id="remember_me" name="_remember_me" }}>
                <label for="remember_me" class="custom-control-label">Se souvenir de moi</label>
            </fieldset>

            {% if countOfRecentLoginFail >= 3 %}
                {% include '_partials/captcha/_hcaptcha_submit_button.twig.html' %}
            {% else %}
                <button class="btn btn-ml btn-primary d-block mx-auto" type="submit">Se connecter</button>
            {% endif %}

            
        </form>
        
        <p>
            <small>Mot de passe <a href="{{ absolute_url(path('app_forgot_password')) }}">oublié</a></small>
        </p>

        <a href="{{ path('app_oauth_discord') }}" class="oauth-button mt-3">
            <img src="{{ asset('images/discord-logo-png-32x32.png') }}" alt="discord" class="mr-3">
            M'authentifier avec discord
        </a>
        
    </main>
{% endblock %}
